College Basketball DataCollege Basketball Data
  • CollegeBasketballData.com
  • Get API Key
  • Legacy Swagger UI
  • Getting Started
  • Official libraries
  • API Reference
Helpful links
  • CBBD
  • Get API key
  • Access tiers
Official libraries
  • Python
  • TypeScript
  • R
  • API source
Other resources
  • Rad Sports Analytics
  • Football
  • CBB Starter Pack

A Rad Sports Analytics platform.

xdiscordgithub
Information
Games
    /gamesget/games/mediaget/games/teamsget/games/playersget/scoreboardget
Plays
    /substitutions/game/{gameId}get/substitutions/player/{playerId}get/substitutions/teamget/plays/game/{gameId}get/plays/player/{playerId}get/plays/teamget/plays/dateget/plays/tournamentget/plays/typesget
Teams
    /teamsget/teams/rosterget
Conferences
    /conferencesget/conferences/historyget
Venues
    /venuesget
Stats
    /stats/team/leaderboardget/stats/team/seasonget/stats/team/shooting/seasonget/stats/player/seasonget/stats/player/shooting/seasonget
Rankings
    /rankingsget
Ratings
    /ratings/srsget/ratings/adjustedget/ratings/eloget
Lines
    /linesget/lines/providersget
Lineups
    /lineups/teamget/lineups/game/{gameId}get
Draft
    /draft/teamsget/draft/positionsget/draft/picksget
Recruiting
    /recruiting/playersget/recruiting/teamsget/recruiting/portalget
Schemas
powered by Zudoku
College Basketball Data API
College Basketball Data API

Lineups

Download schema

Five-player lineup statistics.


GET
https://api.collegebasketballdata.com
/lineups/team
Bearer

Returns lineup statistics for a team and season.

query Parameters

season
​integer · int32 · required

The season to return.

team
​string · required

The team name to return.

startDateRange
​string · date-time

Includes games starting at or after this ISO 8601 timestamp.

endDateRange
​string · date-time

Includes games starting at or before this ISO 8601 timestamp.

Responses

200

Ok

​LineupStats[]
LineupStats
teamId
​integer · int32 · required
team
​string · required
conference
​string · required
idHash
​string · required
​object[] · required
totalSeconds
​number · double · required
pace
​number · double · required
offenseRating
​number · double · required
defenseRating
​number · double · required
netRating
​number · double · required
​LineupUnitStats · required
​LineupUnitStats · required
GET/lineups/team
curl 'https://api.collegebasketballdata.com/lineups/team?season=<number>&team=<string>' \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "teamId": 0, "team": "team", "conference": "conference", "idHash": "idHash", "athletes": [ { "name": "name", "id": 0 } ], "totalSeconds": 0, "pace": 0, "offenseRating": 0, "defenseRating": 0, "netRating": 0, "teamStats": { "possessions": 0, "points": 0, "blocks": 0, "assists": 0, "steals": 0, "turnovers": 0, "defensiveRebounds": 0, "offensiveRebounds": 0, "trueShooting": 0, "fieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointers": { "made": 0, "attempted": 0, "pct": 0 }, "threePointers": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "fourFactors": { "freeThrowRate": 0, "offensiveReboundPct": 0, "turnoverRatio": 0, "effectiveFieldGoalPct": 0 } }, "opponentStats": { "possessions": 0, "points": 0, "blocks": 0, "assists": 0, "steals": 0, "turnovers": 0, "defensiveRebounds": 0, "offensiveRebounds": 0, "trueShooting": 0, "fieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointers": { "made": 0, "attempted": 0, "pct": 0 }, "threePointers": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "fourFactors": { "freeThrowRate": 0, "offensiveReboundPct": 0, "turnoverRatio": 0, "effectiveFieldGoalPct": 0 } } } ]
json
application/json

GET
https://api.collegebasketballdata.com
/lineups/game/{gameId}
Bearer

Returns lineup statistics for a game.

path Parameters

gameId
​integer · int32 · required

The game ID.

Responses

200

Ok

​LineupStats[]
LineupStats
teamId
​integer · int32 · required
team
​string · required
conference
​string · required
idHash
​string · required
​object[] · required
totalSeconds
​number · double · required
pace
​number · double · required
offenseRating
​number · double · required
defenseRating
​number · double · required
netRating
​number · double · required
​LineupUnitStats · required
​LineupUnitStats · required
GET/lineups/game/{gameId}
curl https://api.collegebasketballdata.com/lineups/game/:gameId \ --header 'Authorization: Bearer <token>'
Example Responses
[ { "teamId": 0, "team": "team", "conference": "conference", "idHash": "idHash", "athletes": [ { "name": "name", "id": 0 } ], "totalSeconds": 0, "pace": 0, "offenseRating": 0, "defenseRating": 0, "netRating": 0, "teamStats": { "possessions": 0, "points": 0, "blocks": 0, "assists": 0, "steals": 0, "turnovers": 0, "defensiveRebounds": 0, "offensiveRebounds": 0, "trueShooting": 0, "fieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointers": { "made": 0, "attempted": 0, "pct": 0 }, "threePointers": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "fourFactors": { "freeThrowRate": 0, "offensiveReboundPct": 0, "turnoverRatio": 0, "effectiveFieldGoalPct": 0 } }, "opponentStats": { "possessions": 0, "points": 0, "blocks": 0, "assists": 0, "steals": 0, "turnovers": 0, "defensiveRebounds": 0, "offensiveRebounds": 0, "trueShooting": 0, "fieldGoals": { "made": 0, "attempted": 0, "pct": 0 }, "twoPointers": { "made": 0, "attempted": 0, "pct": 0 }, "threePointers": { "made": 0, "attempted": 0, "pct": 0 }, "freeThrows": { "made": 0, "attempted": 0, "pct": 0 }, "fourFactors": { "freeThrowRate": 0, "offensiveReboundPct": 0, "turnoverRatio": 0, "effectiveFieldGoalPct": 0 } } } ]
json
application/json

LinesDraft